Bug 12048 - Add method FilterNode.setOriginal()
Add method FilterNode.setOriginal()
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Petr Hrebejk
issues@platform
:
Depends on:
Blocks: 11156 12045 13730
  Show dependency treegraph
 
Reported: 2001-05-09 17:17 UTC by Jesse Glick
Modified: 2008-12-22 23:41 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2001-05-09 17:17:29 UTC
Suggest that FilterNode have a method:

protected void setOriginal(Node orig);

Subclasses could call this if for some reason they wished to begin delegating to
a different node. It would fire every possible change event, assuming that
everything could have changed.

Also a similar protected getter and setter in FilterNode.Children. (Who made the
field 'original' protected to begin with?? It is *not* safe to write to it
without firing changes!)
Comment 1 Jaroslav Tulach 2001-05-14 17:43:33 UTC
David, please investigate this issue, if implementable then make the method
final:

protected final void setOriginal (Node orig)
Comment 2 David Strupl 2001-10-22 13:42:38 UTC
I think this was already solved by Petr. Reassigning before closing.
Comment 3 David Strupl 2001-10-22 13:44:34 UTC
It is in the main trunk (FilterNode).
Comment 4 Jan Zajicek 2001-10-23 14:29:02 UTC
rev 1.53
Comment 5 Quality Engineering 2003-07-01 16:35:41 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo